Update a custom field definition
PUT
/api/v3/contacts/custom-fields/{fieldId}
const url = 'https://api.tryletterhead.com/api/v3/contacts/custom-fields/1';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"api":true,"label":"Preferred color"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.tryletterhead.com/api/v3/contacts/custom-fields/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "api": true, "label": "Preferred color" }'Updates an existing custom field definition. Only the fields you pass are changed.
This is a company-level (v3) write. Authenticate with a company API key as a Bearer token.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” fieldId
required
integer
The field’s numeric identifier, from List custom field definitions.
Request Body required
Section titled “Request Body required ” Media type application/json
object
api
required
Required. Set to true to authenticate with an API key.
boolean
name
string
label
string
type
text, number, boolean, or date.
string
required
boolean
sortOrder
integer
Example
{ "api": true, "label": "Preferred color"}Responses
Section titled “ Responses ”Custom field definition updated.
Media type application/json
object
items
object
id
The field’s numeric identifier.
integer
name
string
label
string
type
string
required
boolean
sortOrder
integer
createdAt
string
updatedAt
string
source
user or system.
string
message
string
total
integer
Example
{ "items": { "id": 4, "name": "favoriteColor", "label": "Preferred color", "type": "text", "required": false, "sortOrder": 0, "createdAt": "2026-05-01T10:00:00+00:00", "updatedAt": "2026-08-30T15:01:21+00:00", "source": "user" }, "message": "Custom field definition updated.", "total": 1}Still can’t find what you need? Contact support.